org.codehaus.plexus.interpolation

## Class AbstractValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.AbstractValueSource

All Implemented Interfaces:
  ValueSource

Direct Known Subclasses:
  EnvarBasedValueSource, MapBasedValueSource, ObjectBasedValueSource, PropertiesBasedValueSource

    public abstract class AbstractValueSource
    extends Object
    implements ValueSource

### Constructor Summary

Constructors
`protected` `AbstractValueSource(boolean usesFeedback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addFeedback(String message)`
`protected void` `addFeedback(String message, Throwable cause)`
`void` `clearFeedback()` Clear the feedback accumulated by a prior interpolation run.
`List` `getFeedback()` Return the feedback about resolution failures for a particular expression.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.interpolation.ValueSource

`getValue`

### Constructor Detail

#### AbstractValueSource

    protected AbstractValueSource(boolean usesFeedback)

### Method Detail

#### clearFeedback

    public void clearFeedback()

Description copied from interface: `ValueSource`
Clear the feedback accumulated by a prior interpolation run.

Specified by:
  `clearFeedback` in interface `ValueSource`

#### getFeedback

    public List getFeedback()

Description copied from interface: `ValueSource`
Return the feedback about resolution failures for a particular expression.

Specified by:
  `getFeedback` in interface `ValueSource`
Returns:
  a combination of String and Throwable instances, where strings related to throwables are listed first.

#### addFeedback

    protected void addFeedback(String message)

#### addFeedback

    protected void addFeedback(String message,
                               Throwable cause)